:root {
    font-family: sans-serif;
    box-sizing: border-box;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

body {
    display: grid;
    margin: 0;
    padding: 0;
    height: 100vh;
    width: 99vw;
    background-color: #eee;
    grid-template-columns: 70% 30%;
    grid-template-rows: 2em auto 1fr 1fr 3em;
    gap: 0.5em;
    grid-template-areas:
        "header   header"
        "nav      nav"
        "main     login"
        "main     subscribe"
        "footer   footer"
    ;
}

header {
    grid-area: header;
    font-size: 2rem;
    color: orange;
}

nav {
    grid-area: nav;
    display: flex;
    background-color: rgba(0, 77, 200, 0.842);
    padding: 0.3em;
}

main {
    grid-area: main;
    background-color: #fff;
    padding: 1em;
    border-radius: 1em;
    text-transform: capitalize;
}

section.login {
    grid-area: login;
    padding: 0.6em;
    background-color: #fff;
    border-radius: 1em;
    margin-bottom: 2em;
}

section.subscribe {
    grid-area: subscribe;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    border: 0.1em solid green;
    text-align: center;
    padding: 0.5em;
    background-color: #fff;
}

footer {
    grid-area: footer;
    background-color: #aaa;
    color: #fff;
    padding: 1em 0.5em;
    text-align: center;
}

/* header */
header :first-child {
    font-weight: 600;
}

header :last-child {
    font-style: italic;
    font-weight: 100;
}

/* navbar */
nav {
    display: flex;
}

nav a {
    color: #fff;
    padding: 0.2em 1em;
    background-color: orange;
    margin-right: 0.5em;
    border-radius: 0.2em;
    text-decoration: none;
    text-transform: capitalize;
    font-variant: small-caps;
}

nav a:last-child {
    margin-left: auto;
}
nav a:hover {
    background-color: orangered;
    box-shadow: 2px 2px 4px #555;
}

/* login */
.login h3 {
    text-align: right;
    font-variant: small-caps;
    color: #aaa;
}

.login form>div {
    margin-top: 1.25em;
}

.login label {
    display: block;
    text-transform: capitalize;
    font-weight: 600;
    padding-bottom: 0.1em;
}

.login input {
    display: block;
    width: 90%;
    padding: 0.5em;
    font-family: monospace;
    font-size: 1rem;
}

.login form button {
    margin-top: 1em;
    background-color: #fff;
    border: 2px solid orange;
    border-radius: 0.25em;
    padding: 0.1em 1em;
    font-size: 1.25rem;
    text-transform: capitalize;
    font-variant: small-caps;
}

/* subscribe */

.subscribe h3 {
    text-transform: capitalize;
    font-variant: small-caps;
    font-size: 1.2rem;
    color: #777;
}

.subscribe > div {
    display: flex;
    justify-content: center;
    margin: 2em 0;
    line-height: 0.7;
}

.subscribe > div .currency {
    font-size: 2rem;
    align-self: center;
}

.subscribe > div .amount {
    font-size: 5rem;
}

.subscribe > div .fraction {
    font-size: 1.5rem;
    align-self: flex-start;
}

.subscribe a {
    display: block;
    background-color: #cc6b5a;
    color: #fff;
    padding: 0.5em 1em;
    text-decoration: none;
}

.subscribe a:hover {
    box-shadow: 2px 2px 5px #ccc;
    font-weight: bold;
}




